const strings = {
  menu_file: "File",
  menu_edit: "Edit",
  menu_undo: "Undo",
  menu_redo: "Redo",
  menu_cut: "Cut",
  menu_copy: "Copy",
  menu_copy_email: "Copy Email",
  menu_copy_link: "Copy Link",
  menu_copy_image: "Copy Image",
  menu_copy_image_url: "Copy Image URL",
  menu_add_to_dictionary: "Add to Dictionary",
  menu_paste: "Paste",
  menu_select_all: "Select All",
  menu_view: "View",
  menu_window: "Window",
  menu_minimize: "Minimize",
  menu_close: "Close",
  menu_help: "Help",
  menu_learn_more: "Learn More",
  menu_about: "About",
  menu_preferences: "Preferences...",
  menu_check_for_updates: "Check for Updates...",
  menu_services: "Services",
  menu_hide: "Hide",
  menu_hide_others: "Hide Others",
  menu_show_all: "Show All",
  menu_quit: "Quit",
  menu_bring_all_to_front: "Bring All to Front",
  menu_logout: "Log Out",
  menu_open_link: "Open Link",
  menu_search_google: "Search with Google",
  menu_lookup_definition: "Look Up \"%s\"",
  menu_toggle_fs: "Toggle Full Screen",

  tray_quit: "Quit Application",
  tray_open: "Open",
  tray_hide: "Hide",
  tray_settings: "Settings",
  tray_disable_notifications: "Disable Notifications",
  tray_always_on_top: "Always on Top",
  tray_still_here: "The application is minimized to the notification area, but it's still running"
}

if (process.type == 'renderer') {
  const LangNum = require('../lib/lang').LangNum

  Object.assign(strings, {
    global_send: "Send",
    global_search: "Search",
    global_copy: "Copy",
    global_paste: "Paste",
    global_cut: "Cut",
    global_captcha_title: "Are you a robot?",
    global_captcha_enter: "Enter the code",
    global_captcha_submit: "Send",
    global_close: "Close",
    global_cancel: "Cancel",
    global_online: "online",
    global_last_seen_male: "was online",
    global_last_seen_female: "was online",
    global_back: "Back",
    global_loading: "Loading...",
    global_validation: "Validation",
    global_settings: "Settings",
    global_error: "Error",
    global_delete: "Delete",
    global_edit: "Edit",
    global_ok: "OK",
    global_add: "Add",
    global_yes: "Yes",
    global_save: "Save",
    global_messages: "Messages",
    global_continue: "Continue",
    global_continue_qm: "Continue?",
    global_more: "More",
    global_done: "Done",
    global_access_denied: "Access denied",
    global_open: "Open",

    date_today: "today",
    date_yesterday: "yesterday",
    date_last_seen_fmt: "[%s] [at] HH:mm",
    date_smart_date_fmt: "[%s] [at] HH:mm",
    date_smart_date_past_fmt: "%s at %s",

    user_deactivated: "Page deleted",
    online: "online",
    online_from_mobile: "online using mobile",
    online_from_iphone: "online using iPhone",
    online_from_android: "online using Android",
    online_from_ipad: "online using iPad",
    online_from_wp: "online using Windows Phone",
    online_from_windows: "online using Windows",

    error_login_invalid_code: "Invalid code. Please try again.",
    error_login_invalid_credentials: "Invalid login or password. Please try again.",
    error_login_network: "Network error. Please check your connection",
    error_login_proxy: "Unable to connect to the proxy server",
    error_cancelled: "The user has canceled this action",
    error_failed_to_add_user: "Unable to add the user: %s",
    error_failed_to_remove_user: "Unable to remove the user: %s",
    error_failed_to_rename_chat: "Unable to rename the chat: %s",
    error_failed_to_update_chat_photo: "Unable to change the conversation cover: %s",
    error_failed_to_download_file: "Unable to download the file",
    error_failed_to_upload_file: "Unable to upload the file",

    //error_failed_to_upload_file__wrong_arch_file: "Failed to upload file",
    error_upload_file_too_big: "Invalid file size of \"%s\". The maximum document size is 200 MB.",
    error_network_error: "Network error.",
    error_photos_attaches_limit: "You can attach up to 10 items to one message.",
    error_loading_profile_photo: "Unable to load this user's profile photo",
    error_downloads_location_not_exists: "The folder %s does not exist. Please change the download location in settings.",
    error_webcam_no_sources_found: "No webcam detected.",
    error_cert: "Unable to verify the SSL certificate.",
    error_api: "API error",
    error_failed_to_delete_dialog: "Unable to clear the chat history: %s",
    error_failed_to_delete_message: "Unable to remove the message",
    error_creating_chat: "Unable to create a group chat",
    error_message_send_privacy: "You cannot send messages to this user due to their privacy settings.",
    error_message_send_901: "The user has prohibited communities from sending messages to them.",
    error_message_send_900: "Unable to send messages to blacklisted users.",
    error_message_send_blacklisted: "You cannot send messages to this user",
    error_message_send_blacklisted_group: "You cannot send messages to this community",
    error_group_messages_access_denied: "You no longer have access to {b}%s{/b}'s messages.",
    error_group_messages_access_denied_plural: "You no longer have access to the messages of %s.",
    error_failed_to_ban_user: "Unable to block %s",
    error_messages_were_deleted: "The messages you want to forward have been already deleted.",
    error_admins_not_loaded: "Unable to load the list of managers.",
    error_chat_link: "Unable to get the chat link",
    error_templates_name_length: "The template name should contain 2 to 200 characters.",
    error_templates_text_length: "The template text should contain 5 to 2,000 characters.",

    warning_forwarding_interrupt: "If you leave the chat, messages won't be sent.",

    login_title: "VK Messenger",
    login_login: "Email or phone number",
    login_password: "Password",
    login_submit: "Log In",
    login_register: "Sign up",
    login_forgot_password: "Forgot your password?",
    login_error_test: "Test error",
    login_2fa_sms: "Please enter {b}the confirmation code{/b} we've sent via SMS to your phone number: %s.",
    login_2fa_app: "Please enter {b}the confirmation code{/b} provided by the code generating app.",
    login_enter_code: "Enter code",
    login_security_check: "Security check",
    //login_validation_sms_title: "Via SMS",
    //login_validation_app_title: "Authenticator",
    login_2fa_send_sms: "Send SMS",
    login_2fa_resend_timer: "Resend SMS in %s",
    login_2fa_resend_sms: "Resend SMS",
    login_2fa_robot_can_call: "We've sent you another SMS. If you haven't received it, our robot can {link}call{/link} you",
    login_2fa_calling: "The robot is calling you...",
    login_2fa_sent: "We've sent you another SMS",

    im_menu: "Menu",
    im_compose: "New message",
    im_section_dialogs: "Chats",
    im_section_fave: "Favorites",
    im_section_friends: "Friends",
    im_section_compose: "Write a message",
    im_section_settings: "Settings",
    im_section_profile: "My profile",
    im_select_dialog: "Please select a chat or {link}create a new one{/link}",
    im_select_dialog_group: "Please select a chat",
    im_select_dialog_fwd: "Select a chat to forward messages",
    im_select_dialog_fwd_attachment: "Select a chat to forward",
    im_write: "Write a message",
    im_you: "You",
    im_attach_photo: "Photo",
    im_attach_photo_pl: LangNum("%d %s", ["photo", "photos", "photos"]),
    im_attach_video: "Video",
    im_attach_video_pl: LangNum("%d %s", ["video", "videos", "videos"]),
    im_attach_audio: "Audio",
    im_attach_audio_pl: LangNum("%d %s", ["audio", "audios", "audios"]),
    im_attach_geo: "Map",
    im_attach_gift: "Gift",
    im_attach_doc: "Document",
    im_attach_docs: "Documents",
    im_attach_poll: "Poll",
    im_attach_doc_pl: LangNum("%d %s", ["document", "documents", "documents"]),
    im_attach_audio_message: "Voice message",
    im_attach_graffiti: "Graffiti",
    im_attach_forwarded_message: "Forwarded message",
    im_attach_forwarded_messages: "Forwarded messages",
    im_attach_forwarded_messages_pl: LangNum("%d %s", ["forwarded message", "forwarded messages", "forwarded messages"]),
    im_attach_sticker: "Sticker",
    im_attach_wall: "Wall post",
    im_attach_wall_reply: "Wall comment",
    im_attach_wall_deleted: "This post has been deleted.",
    im_attach_link: "Link",
    im_attach_money_transfer: "Money transfer",
    im_attach_chronicle: "Self-destructing photo",
    im_attach_on_the_wall: "on the wall",
    im_attach_reply_on_the_wall: "reply on the wall",
    im_attach_market: "Product",
    im_attach_story: "Story",
    im_attach_note: "Note",
    im_attach_album: "Album",
    im_attach_audio_playlist: "Audio playlist",
    im_attach_call: "Call",

    im_attach_market_deleted: "Product deleted",
    im_attach_market_unavailable: "Product unavailable",

    im_attach_photo_tootlip: "Attach photo",
    im_attach_tooltip: "Attach",
    im_voice_tooltip: "Voice message",
    im_send_tooltip: "Send",
    im_smiles_tooltip: "Smiles and stickers",
    im_typing: "Typing...",
    im_is_typing: "%s is typing",
    im_are_typing: "%s are typing",
    im_chat_users_count: LangNum("%d %s", ["member", "members", "members"]),
    im_chat_online_count: "%s online",
    im_chat_edit: "Edit",
    im_chat_save: "Save",
    im_chat_show_media: "Show attachments",
    im_chat_invited_by_male: "Invited by %s",
    im_chat_invited_by_female: "Invited by %s",
    im_chat_add_participant: "Add people",
    im_chat_no_members: "No members",
    im_dialog_input_placeholder: "Write a message...",
    im_dialog_input_placeholder_chat: "Write a message in %s...",
    im_dialog_input_placeholder_user: "Write a message to %s...",
    im_dialog_input_placeholder_group: "Write a message to %s...",
    im_dialog_input_placeholder_myself: "Write a message to yourself...",
    im_sent_gift_male: "sent a gift",
    im_sent_gift_female: "sent a gift",
    im_sent_money_male: "transferred money",
    im_sent_money_female: "transferred money",
    im_new_messages: "New messages",
    im_no_messages: "Your message history will be displayed here.",
    im_no_messages_found: "No matching messages found.",
    im_no_important_messages_found: "You have no starred messages.",
    im_messages_selected: LangNum("%d %s", ["message", "messages", "messages"]),
    im_forward: "Forward",
    im_delete: "Delete",
    im_delete_message: "Delete message",
    im_delete_message_question: "Are you sure you want to delete this message?",
    im_delete_messages_question: "Are you sure you want to delete %s?",
    im_delete_message_for_all: "Delete for everyone",
    im_reply: "Reply",
    im_important: "Starred",
    im_mark_dialog_as_important: "Add star",
    im_mark_dialog_as_important_undo: "Remove star",
    im_mark_as_important: "Add star",
    im_mark_as_important_undo: "Remove star",
    im_mark_as_answered: "Mark as answered",
    im_mark_as_answered_undo: "Mark as unanswered",
    im_search_dialogs: "Search chats",
    im_search_messages: "Search messages",
    im_dialog_hidden_from_unanswered: "Chat removed from unanswered",
    im_attach_upload_failed: "Upload failed",
    im_attach_upload_retry: "Retry",
    im_message_deleted: "Message deleted",
    restore: "Undo",
    im_remove_attachment: "Remove attachment",

    im_attach_wall_title: "Wall post",
    im_attach_link_title: "Link",
    im_attach_wall_reply_title: "Wall comment",
    im_attach_video_views: LangNum("%d %s", ["view", "views", "views"], true),
    im_attach_snapster_label: "Sent via {link}Snapster{/link}",
    im_attach_snapster_over_label: "Self-destructing photo",

    im_action_changed_title_male: "changed the group chat name to",
    im_action_changed_title_female: "changed the group chat name to",

    im_action_changed_channel_title_male: "changed the channel name to",
    im_action_changed_channel_title_female: "changed the channel name to",

    im_action_created_conversation_male: "created the group chat",
    im_action_created_conversation_female: "created the group chat",

    im_action_left_conversation_male: "left the group chat",
    im_action_left_conversation_female: "left the group chat",

    im_action_returned_to_the_conversation_male: "returned to the group chat",
    im_action_returned_to_the_conversation_female: "returned to the group chat",

    im_action_deleted_conversation_cover_male: "deleted the group chat cover",
    im_action_deleted_conversation_cover_female: "deleted the group chat cover",

    im_action_changed_conversation_cover_male: "changed the group chat cover",
    im_action_changed_conversation_cover_female: "changed the group chat cover",

    im_action_invited_male: "invited",
    im_action_invited_female: "invited",

    im_action_invited_by_link_male: "joined the conversation via link",
    im_action_invited_by_link_female: "joined the conversation via link",

    im_action_kicked_male: "removed",
    im_action_kicked_female: "removed",

    im_action_pin_message_male: "pinned a message",
    im_action_pin_message_female: "pinned a message",

    im_action_unpin_message_male: "unpinned a message",
    im_action_unpin_message_female: "unpinned a message",

    im_go_to_history_end: "Back to now",

    im_loading_error: "Loading error",
    im_retry: "Retry",
    im_select_message: "Select",
    im_unselect_message: "Unselect",
    im_message_resend_title: "Message not sent",
    im_message_resend_detail: "Error: %s",
    im_message_resend: "Resend",
    im_message_resend_all: "Resend all",
    im_audio_copyrusted_title: "The audio is not available",
    im_audio_copyrusted: "This audio file was removed from public access by request of the copyright holder.",
    im_audio_copyrusted_2: "The audio file %s is not available in your region.",

    im_chat_remove_user: "Remove",
    im_dialog_action_fave: "Add to favorites",
    im_dialog_action_hide: "Hide chat",
    im_dialog_action_add: "Add people",
    im_dialog_action_attaches: "Show attachments",
    im_dialog_action_search: "Search message history",
    im_dialog_action_history: "Show message history",
    im_dialog_action_erase: "Clear message history",

    im_dialog_attach_map: "Map",
    im_dialog_attach_doc: "Document",
    im_dialog_attach_video: "Video",
    im_dialog_attach_audio: "Audio",
    im_dialog_attach_photo: "Photo",

    im_important_title: "Starred messages",
    im_photos_title: "Choose photo",
    im_photos_upload: "Upload photo",
    im_photos_make_photo: "Capture image",
    im_photos_result_text: "Select photos to attach",
    im_photos_loading_error: "Loading error",
    im_photos_empty: "You have no photos.",
    im_photos_attach: LangNum("Attach {b}%d{/b} %s", ["photo", "photos", "photos"]),
    im_photos_webcam_title: "Webcam shot",
    im_photos_webcam_device: "Device:",
    im_photos_webcam_attach: "Attach photo",
    im_photos_webcam_retake: "Retake",
    im_photos_close: "Close",
    im_photos_count: LangNum("%d %s", ['photo', 'photos', 'photos']),
    im_photos_all: "All photos",
    im_photos_disabled: "Photos disabled in the community.",

    im_docs_upload: "Upload document",
    im_docs_type_all: "All documents",
    im_docs_type_text: "Text",
    im_docs_type_archive: "Archives",
    im_docs_type_gif: "GIFs",
    im_docs_type_image: "Images",
    im_docs_type_audio: "Audio files",
    im_docs_type_video: "Videos",
    im_docs_type_books: "Books",
    im_docs_type_unknown: "Other",
    im_docs_empty: "You have no documents.",
    im_docs_disabled: "Documents disabled in the community.",
    im_docs_not_found: "Your search for %s returned no documents.",

    im_videos: "Videos",
    im_videos_empty: "You have no videos.",
    im_videos_result_text: "Select videos to attach them to your message",
    im_videos_attach: LangNum("Attach {b}%d{/b} %s", ["video", "videos", "videos"]),
    im_videos_count: LangNum("%d %s", ['video', 'videos', 'videos']),
    im_videos_all: "All videos",
    im_videos_search: "Search videos",
    im_videos_disabled: "Videos disabled in the community.",
    im_videos_not_found: "Your search for %s returned no videos.",

    im_info_open: "Show info",
    im_info_close: "Hide info",
    im_info_user_title: "User Info",
    im_info_group_title: "Community Info",
    im_info_chat_title: "Chat Info",
    im_info_open_vk: "Open profile in VK",
    im_info_open_group_vk: "Open community in VK",
    im_info_copy_link: "Copy link",
    im_open_dialog: "Open chat",
    im_show_actions: "Chat actions",

    im_info_notifications: "Notifications",
    im_info_add: "Add people",
    im_info_search: "Search message history",
    im_info_clear: "Clear message history",
    im_info_clear_text_user: "Are you sure you want to clear the entire message history with this user?",
    im_info_clear_text_group: "Are you sure you want to clear the entire message history with this community?",
    im_info_clear_text_chat: "Are you sure you want to delete the entire message history for this group chat?",
    im_info_clear_text_cannot_be_undone: "This cannot be undone.",
    im_info_leave_chat: "Leave group chat",
    im_info_leave_channel: "Unfollow channel",
    im_info_return_to_chat: "Return to group chat",
    im_info_attaches_photo: "Photos",
    im_info_attaches_video: "Videos",
    im_info_attaches_audio: "Audios",
    im_info_attaches_doc: "Documents",
    im_info_attaches_share: "Links, Products, Posts",
    im_info_attaches_not_found: "No similar attachments found.",
    im_info_attaches_not_found_photo: "No photos in this chat",
    im_info_attaches_not_found_video: "No videos in this chat",
    im_info_attaches_not_found_audio: "No audio files in this chat",
    im_info_attaches_not_found_doc: "No documents in this chat",
    im_info_attaches_not_found_share: "No links, products or posts in this chat",

    im_info_members_show: "Show",
    im_info_members_hide: "Hide",
    im_info_add_placeholder: "Start typing a name...",

    im_search_message_history_placeholder: "Search message history...",

    im_input_attach_messages: LangNum("%d %s", ["message", "messages", "messages"]),

    im_compose_dialog_item_new_message: "New message",
    im_compose_dialog_item_new_chat: "New chat",
    im_compose_placeholder: "Enter a friend's name to start a chat",
    im_compose_placeholder_chat: "Enter friends names to start a group chat",
    im_compose_to: "To:",
    im_compose_input_placeholder: "Start typing a name...",
    im_compose_dialog_item_new_message_to: "New message to ",
    im_compose_dialog_item_new_chat_with: "New chat with ",
    im_compose_enter_chat_name_placeholder: "Enter a chat name...",
    im_compose_remove_photo: "Delete photo",
    im_compose_new_chat_name_template: "New group chat \"%s\"",
    im_compose_cancel: "Cancel",

  //   im_compose_tab_single: "Dialog",
  //   im_compose_tab_group: "Group chat",
  //   im_compose_add_image: "Add",
  //   im_compose_group_name: "Chat name",
  //   im_compose_enter_name: "Enter a name",
  //   im_compose_cancel: "Cancel",
  //   im_compose_submit: "Create a chat",

    im_chat_change_photo: "Change",
    im_create_chat: "Create chat",
    public_poll: "Public poll",
    anonymous_poll: "Anonymous poll",
    poll_votes: LangNum("%d %s", ["vote", "votes", "votes"]),
    poll_vote_first: "Be the first to vote!",
    poll_votes_result_voted: '',
    poll_votes_result_people: LangNum("{b}%d{/b} %s", ["person voted", "people voted", "people voted"]),
    poll_left_time: "{count} {left}",
    poll_minutes_left_plural: LangNum("%s", ["left", "left", "left"]),
    poll_hours_left_plural: LangNum("%s", ["left", "left", "left"]),
    poll_left_time_minutes_count: LangNum("%d %s", ["minute", "minutes", "minutes"]),
    poll_left_time_seconds_count: LangNum("%d %s", ["second", "seconds", "seconds"]),
    poll_left_time_hours_count: LangNum("%d %s", ["hour", "hours", "hours"]),
    poll_till_template: "until %s",
    poll_closed: "finished",
    poll_noone_voted: "No one has voted",
    poll_vote: "Vote",

    im_drop_photos: "Drop photos here to attach them to your message",
    im_drop_photos_as_docs: "Drop photos here to attach them as documents",
    im_drop_docs: "Drop files here to attach them to your message",
    im_upload_error: "Upload error",
    im_cannot_write_1: "You cannot send messages to this user",
    im_cannot_write_1_group: "You cannot send messages to this community",
    im_cannot_write_2: "You were removed from this group chat",
    im_cannot_write_3: "You left this group chat",
    im_cannot_write_4: "Your community cannot send messages to this user",
    im_cannot_write_5: "You cannot send messages to this user",
    im_cannot_write_6: "You do not have access to this community",
    im_cannot_write_7: "You do not have access to this email",
    im_cannot_write_8: "You cannot message users you have blacklisted",
    im_cannot_write_group_banned: "The user has been added to this community blacklist.",

    im_doc_actions_open: "Open",
    im_doc_actions_download: "Download",
    im_doc_actions_forward: "Forward",
    im_doc_actions_show_in_folder: "Show in folder",
    im_doc_progress_text: "%s of %s uploaded",
    im_doc_download_progress_text: "%s of %s downloaded",
    im_doc_downloaded: "Downloaded",

    im_recording_done: "Done",
    im_recording_cancel: "Cancel",

  // profile_bday: "Date of birth",
  // profile_city: "City",
  // profile_languages: "Languages",
    profile_mobile_phone: "Mobile phone",
    profile_screen_name: "Screen name",
  // profile_home_phone: "Home phone",
  // profile_skype: "Skype",
  // profile_website: "Website",
  // profile_email: "Email",
  // profile_facebook: "Facebook",
  // profile_instagram: "Instagram",
  // profile_twitter: "Twitter",
  // profile_livejournal: "LiveJournal",
    profile_notifications: "Notifications",
    profile_notifications_enabled: "enabled",
    profile_notifications_disabled: "disabled",
    profile_open_vk: "Open VK profile",
    profile_open_group_vk: "Open group in VK",
    profile_block: "Block",
    profile_unblock: "Unblock",

    connection_state_waiting_for_network: "Waiting for connection...",
    connection_state_connecting: "Connecting",
    connection_state_connecting_after: "Connecting in %s s...",
    connection_state_updating: "Updating",
    connection_state_connected: "Connected",
    connection_state_proxy_error: "Proxy server connection error",
    connection_state_proxy_error_short: "Proxy error",
    connection_state_cert_error: "Unable to verify the SSL certificate",

    update_status_available: "Update available",
    update_status_downloading: "Downloading update...",
    update_status_downloaded: "A new version is available!",
   'update_status_not-available': 'Update unavailable',
    update_is_available: "Update available",
    update_is_not_available: "Update unavailable",
    update_current_version: "Current version",
    update_new_version: "New version",
    update_description: "Description",
    update_download: "Download",
    update_downloading: "Downloading...",
    update_install: "Install and restart",
    update_install_later: "Install later",
    update_na: "Unavailable",
    update_date: "Date",
    update_size: "Size",
    update_no_updates: "No updates available.",

    changelog: "Change log",
    update: "Update",

    friends_no_friends: "You have no friends yet",
    friends_no_friends_desc: "You can use the {link}search{/link} to find your friends on VK",
    friends_search_not_found: "Your search for %s returned no friends",

    dialogs_no_dialogs: "You have no chats yet",
    dialogs_no_dialogs_desc: "{link}Click here{/link} to select a user who you want to chat with",
    dialogs_no_unread_dialogs: "No {span}unread chats{/span}",
    dialogs_no_important_dialogs: "No starred chats",
    dialogs_no_unanswered_dialogs: "No unanswered chats",
    dialogs_search_not_found: "Your search for %s returned no chats",
    dialogs_search_messages_not_found: "Your search for %s returned no messages",
    dialogs_search_dialogs_title: "Chats",
    dialogs_search_messages_title: "Messages",
    dialogs_search_messages_button: "Search in messages",

    settings_general: "General",
    settings_notifications: "Notifications",
    settings_security: "Security",
    settings_blacklist: "Blacklist",
    settings_qa: "Questions & Answers",
    settings_logout: "Log out",
    settings_about: "About app",
    settings_interface_and_system: "Interface",
    settings_privacy: "Privacy",
    settings_downloads: "Downloads",
    settings_text_input: "Text input",
    settings_memory: "Memory",
    settings_communities: "Communities",

    settings_edit: "Edit",
    settings_erase: "Clear",
    settings_save: "Save",
    settings_cancel: "Cancel",
    settings_saving: "Saving...",

    settings_disabled_text: "Please log in first.",

    settings_general_edit_photo: "Change photo",
    settings_general_mobile_phone: "Phone number",
    settings_general_email: "Email",
    settings_general_no_email: "Not specified",
    settings_general_short_name: "Short address",
    settings_general_cache: "Cache",
    settings_general_invisible_mode: "Invisible mode",
    settings_general_shorten_surnames: "Shorten surnames",
    // @ifndef BRANCH_MASTER
    settings_general_ignore_invalid_cert: "Disable certificate verification",
    // @endif
    settings_general_cache_size_loading: "Loading...",
    settings_general_cache_erasing: "Clearing...",
    settings_general_screen_name_submit: "Take this address",
    settings_general_screen_name_submit_custom: "Take address {b}%s{/b}",
    settings_general_screen_name_checking: "Checking...",
    settings_general_failed_photo: "Unable to update the photo",
    settings_send_by_cmd_enter_mac: "Send: ⌘+Enter",
    settings_send_by_cmd_enter_win: "Send: Ctrl+Enter",
    settings_stickers_suggestions: "Suggest stickers",
    settings_general_app: "App settings",
    settings_general_auto_updates: "Download updates automatically",
    settings_general_tray: "Show icon in tray",
    settings_general_tray_mac: "Show icon in status bar",
    settings_general_open_in_tray: "Start hidden in tray",
    settings_general_open_in_tray_mac: "Start hidden in status bar",
    settings_general_badge: "Counter on app icon",
    settings_general_windows_native_frame: "Native window frame",
    settings_interface_lang: "Language",
    settings_spellcheck: "Spell checking",
    settings_spellcheck_disabled: "Disabled",
    settings_spellcheck_auto: "Auto",
    settings_scrollonsend: "Move chat to top after replying",
    settings_scrollonsend_0: "Never",
    settings_scrollonsend_1: "Except community chats",
    settings_scrollonsend_2: "Always",
    settings_frame_change_restart_confirmation: "To apply changes, please restart the application.",
    settings_mac_show_frame: "Show window title",
    settings_font_size: "Font size",
    settings_font_size_normal: "Normal",
    settings_font_size_large: "Larger",

    settings_report: "Report a bug",
    settings_general_verbose_logs: "Verbose logs",

    settings_notifications_enable: "Receive notifications",
    settings_notifications_style: "Notification style",
    settings_notifications_style_system: "System",
    settings_notifications_ls: "On lock screen",
    settings_notifications_ls_all: "Show preview",
    settings_notifications_ls_hide_content: "Do not show preview",
    settings_notifications_ls_no: "Disabled",
    settings_notifications_new_message_dialog: "New chat message",
    settings_notifications_new_message_chat: "New group chat message",
    settings_notifications_communities: "Community messages",
    settings_notifications_private: "Private messages",
    settings_notifications_sound: "Sound",
    settings_notifications_text: "Notification text",
    settings_notifications_text_name_only: "Only name",
    settings_notifications_text_all: "Name and text",
    settings_notifications_text_community: "Only community",
    settings_notifications_text_community_text: "Community and text",
    settings_notifications_text_community_name: "Community and name",
    settings_notifications_text_community_name_text: "Community, name and text",
    settings_notifications_system: "Use system notifications",
    settings_notifications_windows: "Use Windows notifications",
    settings_notifications_community_all: "All",
    settings_notifications_community_important: "Only starred",
    settings_notifications_community_none: "Disabled",
    settings_notifications_exclude_counter: "New message counter",

    settings_security_password: "Password",
    settings_security_who_can_write_me: "Who can send me private messages",

    settings_privacy_value_all: "All users",
    settings_privacy_value_friends_of_friends: "Friends of friends",
    settings_privacy_value_friends: "Friends only",
    settings_privacy_value_nobody: "Nobody",
    settings_privacy_value_some: "Certain friends",
    settings_send_stats: "Send anonymous stats",

    settings_password_old: "Current",
    settings_password_new: "New password",
    settings_password_repeat: "Repeat",
    settings_change_password: "Change password",
    settings_failed_to_change_password: "Unable to change the password",
    settings_password_changed: "Your password has been changed.",

    settings_blacklist_empty_title: "Your blacklist is empty.",
    settings_blacklist_empty_text: "Blocked users cannot send messages to you.",
    settings_blacklist_empty_group: "This community blacklist is empty.",
    settings_blacklist_users_count: LangNum("%d %s", ["user", "users", "users"]),
    settings_blacklist_remove: "Unblock",
    settings_blacklist_add: "Block",
    settings_blacklist_cancel: "Cancel",
    settings_blacklist_removed_male: "Removed from the list",
    settings_blacklist_removed_female: "Removed from the list",

    settings_connection: "Connection settings",
    settings_connection_no_proxy: "No proxy",
    settings_connection_http: "HTTP proxy",
    settings_connection_socks5: "SOCKS5 proxy",
    settings_connection_auto: "Automatically",
    settings_connection_username: "Login",
    settings_connection_password: "Password",
    settings_connection_host: "Host address",
    settings_connection_port: "Port",

    settings_downloads_location: "Always save to:",
    settings_downloads_always_ask: "Ask where to save each file",
    settings_downloads_label_btn_label: "Choose",

    settings_always_on_top: "Always on top",
    settings_visible_on_all_workspaces: "Visible on all workspaces",
    settings_interface_scale: "Interface scale",
    settings_scale_auto: "Auto",
    settings_autostart: "Start on login",

    viewer_title_fallback: "Photo viewer",
    viewer_title: "Photo %d of %d",
    viewer_title_one: "Photo",
    viewer_download: "This photo has been saved to {link}name{/link}",
    viewer_failed_download: "Unable to download the photo",
    viewer_load_error: "Loading error",

    viewer_go_to_message: "Go to message",
    viewer_download_original: "Download original",
    viewer_photo_save_to_vk: "Save to my photos",
    viewer_forward: "Forward",

    smile_section_recent: "Frequently Used",
    smile_section_smiles_people: "Faces",
    smile_section_animals_nature: "Animals & Nature",
    smile_section_food_drink: "Food & Drinks",
    smile_section_activity: "Activity",
    smile_section_travel_places: "Travel & Transport",
    smile_section_objects: "Objects",
    smile_section_symbols: "Symbols",
    smile_section_flags: "Flags",

    stickers_recent_empty: "Recent stickers will be shown here",

    calendar_dow: [
      "Mo", "Tu", "We", "Th", "Fr", "Sa", "Su"
    ],
    calendar_months: [
      "January",
      "February",
      "March",
      "April",
      "May",
      "June",
      "July",
      "August",
      "September",
      "October",
      "November",
      "December"
    ],
    calendar_date_filter: "Date filter",
    calendar_reset_filter: "Reset filter",
    calendar_tooltip_text: "Find messages before the specific date",

    user_age: LangNum("%d %s", ["year", "years", "years"]),

    about_title: "VK Messenger",
    about_version: "Version %s (%s)",
    about_text: "The messenger of the largest social network in Russia and the CIS that unites people all over the world and helps them communicate quickly and comfortably.",
    about_terms: "Terms of Service",
    about_privacy: "Privacy Policy",
    about_group: "VK Community",
    about_copyright: "© 2018 V Kontakte LLC",

    recent_dialogs: "Recent searches",
    recent_dialogs_clear: "Clear",
    recent_dialogs_empty: "No recent chats found",
    delete_from_recents: "Hide",

    new_message: "New message",
    logout_confirmation: "Are you sure you want to log out?",

    message_sent_gift_male: "sent a gift",
    message_sent_gift_female: "sent a gift",

    typing_and: "and",

    video_mute: "Mute",
    video_unmute: "Unmute",
    video_enter_fullscreen: "Full screen",
    video_leave_fullscreen: "Exit full screen",
    video_enter_window: "Show in window",
    video_processing: "This video has been uploaded and is being processed.{br}{/br}Processing may take from several minutes to an hour.",
    video_close_conf_title: "Close video",
    video_close_conf_text: "Are you sure you want to close the video?",
    video_soon: "Soon",

    photoviewer_maximize: "Full screen",
    photoviewer_normalize: "Show in window",
    photoviewer_forward: "Forward",
    photoviewer_download: "Download",

    money_transfer_receive: "Receive money",
    money_transfer_decline: "Decline",
    money_transfer_cancel: "Cancel transfer",
    money_transfer_from: "from",
    money_transfer_done: "Transfer completed",
    money_transfer_cancelled: "Transfer canceled",
    money_about: "About",

    reply_placeholder: "Write a message...",
    photo_video_close_confirmation: "The video player will be closed. Continue?",

    ssl_warning_title: "The connection is not secure",
    ssl_warning_subtitle: "MITM",
    ssl_warning_text: "Unable to verify the SSL certificate of {span}vk.com{/span}. Your connection is not secure. We recommend to check your PC with {link}VK Antivirus{/link}.",
    ssl_warning_text_nowin: "Unable to verify the SSL certificate of {span}vk.com{/span}. Your connection is not secure.",

    story_from: "Story from %s",
    story_from_group: "Story from group «%s»",
    story_view: "View",
    story_expired_text: "The story could be viewed within 24 hours after publication",
    story_private_text: "The author has hidden the story",

    sticker_pack: "Sticker pack",
    audio_msg_cancel_confirmation: "If you close the chat, the recording will be interrupted.",
    audio_msg_cancel_confirmation_compose: "Are you sure you want to interrupt the recording?",
    leave_chat_confirmation: "Are you sure you want to leave the group chat?",
    remove_user_confirmation: "Are you sure you want to remove {name} from the group chat?",
    write_developers: "Contact developers",

    audio_playlist_listen: "Play",
    audio_playlist_open: "Open",
    audio_playlist_loading: "Loading playlist...",
    audio_playlist_tracks: LangNum("Show all %d %s", ["audio", "audios", "audios"]),
    audio_playlist_empty: "There are no audio files in this playlist",

    community_messages: "Community messages",
    community_messages_enabled: "Added",
    community_messages_available: "Available",

    groups: "Communities",
    groups_not_found: ["You do not manage any community with the messaging feature enabled.", "You can enable community messages in the group management settings."],
    groups_not_found_search: "Your search for %s returned no communities.",
    group_members_count: LangNum("%d %s", ["member", "members", "members"], true),
    group_subscribers_count: LangNum("%d %s", ["follower", "followers", "followers"], true),

    group_add_tooltip: "Add community",
    group_del_tooltip: "Remove community",

    dialogs_unread_only: "Only unread",
    dialogs_tab_all: "All messages",
    dialogs_tab_unread: "Unread",
    dialogs_tab_unanswered: "Unanswered",
    dialogs_tab_important: "Starred",
    name_visible_only_for_group_admins: "The sender's name is only visible to community managers",
    group_admins: "Managers",
    group_dialogs: "Community chats",
    group_admins_not_found: "Your search for %s returned no managers",
    open_in_browser: "Open in browser",

    blocked_male: "Blocked by",
    blocked_female: "Blocked by",
    blocked_forever: "forever",
    blocked_till: "until",
    blocked_comment: "Comment",
    blocked_reason: "Reason",
    blocked_reason0: "Other",
    blocked_reason1: "Spam",
    blocked_reason2: "Verbal abuse",
    blocked_reason3: "Strong language",
    blocked_reason4: "Irrelevant messages",
    user_blocking: "Block user",
    user_blocking_in_group: "Is a member",
    user_blocking_not_in_group: "Not a member",
    user_blocking_field_term: "Block for",
    user_blocking_field_reason: "Reason",
    user_blocking_field_comment: "Comment",
    user_blocking_field_comment_placeholder: "Add a brief comment here",
    user_blocking_field_comment_visible: "Show this comment to the blocked user",
    user_blocking_forever: "Forever",
    user_blocking_forever_comment: "Unblocked by managers",
    user_blocking_for_year: "A year",
    user_blocking_for_month: "A month",
    user_blocking_for_week: "A week",
    user_blocking_for_day: "A day",
    user_blocking_for_hour: "Ah hour",
    user_blocking_unblocking: "Until",
    user_add_to_blacklist: "Add to blacklist",
    user_added_to_blacklist: "User blocked",
    user_removed_from_blacklist: "User unblocked",

    message_edited: "(edited)",

    pinned_message: "Pinned message",
    pinned_message_hide: "Hide",
    pinned_message_hide2: "Hide pinned message",
    pinned_message_show: "Show pinned message",

    pin_message: "Pin message",
    unpin_message: "Unpin message",
    unpin_message_confirmation: [
      "Are you sure you want to unpin this message?",
      "All chat members will see this change."
    ],

    chat_link: "Invitation Link",
    chat_link_channel: "Channel Link",
    chat_link_desc: "You can invite any person to the chat using the link below.",
    chat_link_desc_channel: "You can share this link with friends:",
    chat_link_reset: "In order to make the invitation invalid, you can {link}revoke the link{/link}.",
    chat_link_copy: "Copy",
    chat_link_annul: "Revoke",
    chat_link_annul_title: "Are you sure you want to revoke the link for this chat?",
    chat_link_annul_text: "This cannot be undone.",
    chat_link_annul_done: "This invitation link has been revoked.",

    edit_message: "Edit message",
    edit_message_title: "Edit {link}message{/link}",
    edit_message_cancel: "Cancel editing",

    theme: "Theme",
    theme_default: "Default",
    theme_dark: "Dark",
    theme_dark_full: "Night mode",
    designer_mode: "Designer mode",

    templates: "Templates",
    templates_cfg: "Customize",
    templates_new: "New template",
    templates_create: "Create template",
    templates_edit: "Edit template",
    templates_name: "Template name",
    templates_text: "Text",
    templates_hints: "Hints",
    templates_add: "Add template",
    templates_empty: "No templates",
    templates_save: "Save template",
    templates_template_user_name: "Name",
    templates_template_user_surname: "Last name",
    templates_template_admin_name: "Your name",
    templates_template_admin_surname: "Your last name",
    templates_template_community: "Community",
    templates_template_greeting: "Greeting",
    templates_delete_confirmation: "Are you sure you want to delete this template?",
    templates_greeting1: "Good morning",
    templates_greeting2: "Good afternoon",
    templates_greeting3: "Good evening",
    templates_greeting4: "Good night",

    call_canceled_by_initiator_me: "Call canceled",
    call_canceled_by_initiator_not_me: "Missed call",
    call_canceled_by_receiver_me: "Call canceled",
    call_canceled_by_receiver_not_me: "{link}%s{/link} declined the call",
    call_out: "Outgoing call %s",
    call_in: "Incoming call %s",

    channel_unmute: "Unmute notifications",
    channel_mute: "Mute notifications",
    channel_fwd_error: "You cannot forward to a channel.",
    channel_leave_title: "Unfollow channel?",
    channel_leave_text: "If you unsubscribe, you will no longer receive new messages from this channel. You can re-subscribe at any time.",
    chat_join: "Join",
    chat_go: "Go to conversation",
    chat_go_channel: "Go to channel",
    chat_invite: "Conversation invitation",
    chat_invite_channel: "Channel Link",
    chat_preview_users_count: LangNum("%d more %s", ["member", "members", "members"]),
    channel_subscribe: "Follow channel",

    keyboard: "Keyboard",
  })
}

module.exports = strings
