const strings = {
  menu_file: "Файл",
  menu_edit: "Правка",
  menu_undo: "Отменить",
  menu_redo: "Повторить",
  menu_cut: "Вырезать",
  menu_copy: "Скопировать",
  menu_copy_email: "Скопировать email",
  menu_copy_link: "Скопировать ссылку",
  menu_copy_image: "Скопировать изображение",
  menu_copy_image_url: "Скопировать URL изображения",
  menu_add_to_dictionary: "Добавить в словарь",
  menu_paste: "Вставить",
  menu_select_all: "Выбрать все",
  menu_view: "Вид",
  menu_window: "Окно",
  menu_minimize: "Свернуть",
  menu_close: "Закрыть",
  menu_help: "Справка",
  menu_learn_more: "Узнать больше",
  menu_about: "О программе",
  menu_preferences: "Настройки...",
  menu_check_for_updates: "Проверить наличие обновлений...",
  menu_services: "Службы",
  menu_hide: "Скрыть",
  menu_hide_others: "Скрыть остальные",
  menu_show_all: "Показать все",
  menu_quit: "Завершить",
  menu_bring_all_to_front: "Все окна — на передний план",
  menu_logout: "Выйти из аккаунта",
  menu_open_link: "Открыть ссылку",
  menu_search_google: "Поиск в Google",
  menu_lookup_definition: "Найти «%s» в словаре",
  menu_toggle_fs: "Перейти в полноэкранный режим",

  tray_quit: "Выйти из приложения",
  tray_open: "Открыть",
  tray_hide: "Скрыть",
  tray_settings: "Настройки",
  tray_disable_notifications: "Отключить уведомления",
  tray_always_on_top: "Поверх всех окон",
  tray_still_here: "Приложение свёрнуто в область уведомлений, но всё ещё запущено"
}

if (process.type == 'renderer') {
  const LangNum = require('../lib/lang').LangNum

  Object.assign(strings, {
    global_send: "Отправить",
    global_search: "Поиск",
    global_copy: "Копировать",
    global_paste: "Вставить",
    global_cut: "Вырезать",
    global_captcha_title: "Вы точно не робот?",
    global_captcha_enter: "Введите код",
    global_captcha_submit: "Отправить",
    global_close: "Закрыть",
    global_cancel: "Отмена",
    global_online: "онлайн",
    global_last_seen_male: "был в сети",
    global_last_seen_female: "была в сети",
    global_back: "Назад",
    global_loading: "Загрузка...",
    global_validation: "Проверка",
    global_settings: "Настройки",
    global_error: "Ошибка",
    global_delete: "Удалить",
    global_edit: "Изменить",
    global_ok: "OK",
    global_add: "Добавить",
    global_yes: "Да",
    global_save: "Сохранить",
    global_continue: "Продолжить",
    global_continue_qm: "Продолжить?",
    global_more: "Подробнее",
    global_done: "Готово",
    global_messages: "Сообщения",
    global_access_denied: "Доступ запрещён",
    global_open: "Открыть",

    date_today: "сегодня",
    date_yesterday: "вчера",
    date_last_seen_fmt: "[%s] [в] H:mm",
    date_smart_date_fmt: "[%s] [в] H:mm",
    date_smart_date_past_fmt: "%s в %s",

    user_deactivated: "Страница удалена",
    online: "онлайн",
    online_from_mobile: "онлайн с телефона",
    online_from_iphone: "онлайн с iPhone",
    online_from_android: "онлайн с Android",
    online_from_ipad: "онлайн с iPad",
    online_from_wp: "онлайн с Windows Phone",
    online_from_windows: "онлайн с Windows",

    error_login_invalid_code: "Неверный код. Попробуйте ещё раз.",
    error_login_invalid_credentials: "Неверный логин или пароль. Пожалуйста, попробуйте ещё раз.",
    error_login_network: "Ошибка сети. Проверьте Ваше соединение с интернетом",
    error_login_proxy: "Ошибка соединения с прокси-сервером",
    error_cancelled: "Пользователь отменил действие",
    error_failed_to_add_user: "Не удалось добавить пользователя: %s",
    error_failed_to_remove_user: "Не удалось исключить пользователя: %s",
    error_failed_to_rename_chat: "Не удалось изменить название беседы: %s",
    error_failed_to_update_chat_photo: "Не удалось изменить фотографию беседы: %s",
    error_failed_to_download_file: "Не удалось скачать файл",
    error_failed_to_upload_file: "Не удалось загрузить файл",
    error_upload_file_too_big: "Недопустимый размер файла \"%s\". Максимальный размер документа — 200 МБ.",
    error_network_error: "Ошибка сети.",
    error_photos_attaches_limit: "Вы можете прикрепить не более 10 вложений к одному сообщению.",
    error_loading_profile_photo: "Не удалось загрузить фотографию профиля этого пользователя",
    error_downloads_location_not_exists: "Папка %s для сохранения файлов не существует. Измените путь для сохранения в настройках.",
    error_webcam_no_sources_found: "Веб-камера не обнаружена.",
    error_cert: "Не удалось проверить подлинность SSL-сертификата.",
    error_api: "Ошибка API",
    error_failed_to_delete_dialog: "Не удалось очистить диалог: %s",
    error_failed_to_delete_message: "Не удалось удалить сообщение",
    error_creating_chat: "Не удалось создать беседу",
    error_message_send_privacy: "Вы не можете отправить сообщение этому пользователю, так как он ограничил круг лиц, которые могут присылать ему сообщения.",
    error_message_send_901: "Пользователь запретил присылать ему сообщения от имени сообщества.",
    error_message_send_900: "Нельзя отправлять сообщения пользователям из чёрного списка.",
    error_message_send_blacklisted: "Вы не можете отправлять сообщения данному пользователю",
    error_message_send_blacklisted_group: "Вы не можете отправлять сообщения данному сообществу",
    error_group_messages_access_denied: "У Вас больше нет доступа к сообщениям сообщества {b}%s{/b}.",
    error_group_messages_access_denied_plural: "У Вас больше нет доступа к сообщениям сообществ %s.",
    error_failed_to_ban_user: "Не удалось заблокировать пользователя: %s",
    error_messages_were_deleted: "Пересылаемые сообщения были удалены с другого устройства.",
    error_admins_not_loaded: "Не удалось загрузить список руководителей.",
    error_chat_link: "Не удалось получить ссылку на беседу",
    error_templates_name_length: "Название шаблона должно содержать от 2 до 200 символов.",
    error_templates_text_length: "Текст шаблона должен содержать от 5 до 2000 символов.",

    warning_forwarding_interrupt: "Если Вы покинете диалог, пересылка сообщений будет отменена.",

    login_title: "VK Messenger",
    login_login: "Email или номер телефона",
    login_password: "Пароль",
    login_submit: "Войти",
    login_register: "Зарегистрироваться",
    login_forgot_password: "Забыли пароль?",
    login_error_test: "Тестовая ошибка",
    login_2fa_sms: "Пожалуйста, введите {b}код подтверждения{/b}, который был отправлен в SMS на Ваш номер: %s.",
    login_2fa_app: "Пожалуйста, введите {b}код подтверждения{/b} из приложения для генерации кодов.",
    login_enter_code: "Введите код",
    login_security_check: "Проверка безопасности",
    //login_validation_sms_title: "Через SMS",
    //login_validation_app_title: "Генератор кодов",
    login_2fa_send_sms: "Отправить SMS",
    login_2fa_resend_timer: "Отправить SMS повторно через %s",
    login_2fa_resend_sms: "Отправить SMS ещё раз",
    login_2fa_robot_can_call: "Мы отправили ещё одно сообщение. Если Вы не получили SMS, наш робот может {link}позвонить{/link} Вам",
    login_2fa_calling: "Наш робот звонит Вам...",
    login_2fa_sent: "Мы отправили Вам ещё одно SMS",

    im_menu: "Меню",
    im_compose: "Новое сообщение",
    im_section_dialogs: "Диалоги",
    im_section_fave: "Избранные",
    im_section_friends: "Друзья",
    im_section_compose: "Написать сообщение",
    im_section_settings: "Настройки",
    im_section_profile: "Мой профиль",
    im_select_dialog: "Пожалуйста, выберите диалог или {link}создайте новый{/link}",
    im_select_dialog_group: "Пожалуйста, выберите диалог",
    im_select_dialog_fwd: "Выберите диалог для пересылки сообщения",
    im_select_dialog_fwd_attachment: "Выберите диалог для пересылки",
    im_write: "Написать сообщение",
    im_you: "Вы",
    im_attach_photo: "Фотография",
    im_attach_photo_pl: LangNum("%d %s", ["фотография", "фотографии", "фотографий"]),
    im_attach_video: "Видеозапись",
    im_attach_video_pl: LangNum("%d %s", ["видеозапись", "видеозаписи", "видеозаписей"]),
    im_attach_audio: "Аудиозапись",
    im_attach_audio_pl: LangNum("%d %s", ["аудиозапись", "аудиозаписи", "аудиозаписей"]),
    im_attach_geo: "Карта",
    im_attach_gift: "Подарок",
    im_attach_doc: "Документ",
    im_attach_docs: "Документы",
    im_attach_poll: "Опрос",
    im_attach_doc_pl: LangNum("%d %s", ["документ", "документа", "документов"]),
    im_attach_audio_message: "Голосовое сообщение",
    im_attach_graffiti: "Граффити",
    im_attach_forwarded_message: "Пересланное сообщение",
    im_attach_forwarded_messages: "Пересланные сообщения",
    im_attach_forwarded_messages_pl: LangNum("%d %s", ["пересланное сообщение", "пересланных сообщения", "пересланных сообщений"]),
    im_attach_sticker: "Стикер",
    im_attach_wall: "Запись со стены",
    im_attach_wall_reply: "Комментарий на стене",
    im_attach_wall_deleted: "Эта запись была удалена.",
    im_attach_link: "Ссылка",
    im_attach_money_transfer: "Денежный перевод",
    im_attach_chronicle: "Самоуничтожающаяся фотография",
    im_attach_on_the_wall: "на стене",
    im_attach_reply_on_the_wall: "ответ на стене",
    im_attach_market: "Товар",
    im_attach_story: "История",
    im_attach_note: "Заметка",
    im_attach_album: "Альбом",
    im_attach_audio_playlist: "Аудиоплейлист",
    im_attach_call: "Звонок",

    im_attach_market_deleted: "Товар удалён",
    im_attach_market_unavailable: "Товар недоступен",

    im_attach_photo_tootlip: "Прикрепить фото",
    im_attach_tooltip: "Прикрепить",
    im_voice_tooltip: "Голосовое сообщение",
    im_send_tooltip: "Отправить",
    im_smiles_tooltip: "Смайлы и стикеры",
    im_typing: "Печатает...",
    im_is_typing: "%s печатает",
    im_are_typing: "%s печатают",
    im_chat_users_count: LangNum("%d %s", ["участник", "участника", "участников"]),
    im_chat_online_count: "%s онлайн",
    im_chat_edit: "Изменить",
    im_chat_save: "Сохранить",
    im_chat_show_media: "Показать вложения",
    im_chat_invited_by_male: "Пригласил %s",
    im_chat_invited_by_female: "Пригласила %s",
    im_chat_add_participant: "Добавить собеседников",
    im_chat_no_members: "Нет участников",
    im_dialog_input_placeholder: "Напишите сообщение...",
    im_dialog_input_placeholder_chat: "Напишите в беседу %s...",
    im_dialog_input_placeholder_user: "Напишите %s...",
    im_dialog_input_placeholder_group: "Напишите сообществу %s...",
    im_dialog_input_placeholder_myself: "Напишите себе...",
    im_sent_gift_male: "отправил подарок",
    im_sent_gift_female: "отправила подарок",
    im_sent_money_male: "перевёл деньги",
    im_sent_money_female: "перевела деньги",
    im_new_messages: "Новые сообщения",
    im_no_messages: "Здесь будет показана Ваша история сообщений.",
    im_no_messages_found: "По Вашему запросу не найдено ни одного сообщения.",
    im_no_important_messages_found: "У Вас нет важных сообщений.",
    im_messages_selected: LangNum("%d %s", ["сообщение", "сообщения", "сообщений"]),
    im_forward: "Переслать",
    im_delete: "Удалить",
    im_delete_message: "Удалить сообщение",
    im_delete_message_question: "Вы действительно хотите удалить сообщение?",
    im_delete_messages_question: "Вы действительно хотите удалить %s?",
    im_delete_message_for_all: "Удалить для всех",
    im_reply: "Ответить",
    im_important: "Важное",
    im_mark_dialog_as_important: "Отметить как важный",
    im_mark_dialog_as_important_undo: "Убрать из важных",
    im_mark_as_important: "Отметить как важное",
    im_mark_as_important_undo: "Снять отметку",
    im_mark_as_answered: "Отметить как отвеченный",
    im_mark_as_answered_undo: "Отметить как неотвеченный",
    im_search_dialogs: "Поиск по диалогам",
    im_search_messages: "Поиск по сообщениям",
    im_dialog_hidden_from_unanswered: "Диалог скрыт из неотвеченных",
    im_attach_upload_failed: "Загрузка не удалась",
    im_attach_upload_retry: "Повторить",
    im_message_deleted: "Сообщение удалено",
    restore: "Восстановить",
    im_remove_attachment: "Не прикреплять",

    im_attach_wall_title: "Запись со стены",
    im_attach_link_title: "Ссылка",
    im_attach_wall_reply_title: "Комментарий на стене",
    im_attach_video_views: LangNum("%d %s", ["просмотр", "просмотра", "просмотров"], true),
    im_attach_snapster_label: "Отправлено через {link}Snapster{/link}",
    im_attach_snapster_over_label: "Самоуничтожающаяся фотография",

    im_action_changed_title_male: "изменил название беседы на",
    im_action_changed_title_female: "изменила название беседы на",

    im_action_changed_channel_title_male: "изменил название беседы на",
    im_action_changed_channel_title_female: "изменила название беседы на",

    im_action_created_conversation_male: "создал беседу",
    im_action_created_conversation_female: "создала беседу",

    im_action_left_conversation_male: "покинул беседу",
    im_action_left_conversation_female: "покинула беседу",

    im_action_returned_to_the_conversation_male: "вернулся в беседу",
    im_action_returned_to_the_conversation_female: "вернулась в беседу",

    im_action_deleted_conversation_cover_male: "удалил фотографию беседы",
    im_action_deleted_conversation_cover_female: "удалила фотографию беседы",

    im_action_changed_conversation_cover_male: "изменил фотографию беседы",
    im_action_changed_conversation_cover_female: "изменила фотографию беседы",

    im_action_invited_male: "пригласил",
    im_action_invited_female: "пригласила",

    im_action_invited_by_link_male: "присоединился к беседе по ссылке",
    im_action_invited_by_link_female: "присоединилась к беседе по ссылке",

    im_action_kicked_male: "исключил",
    im_action_kicked_female: "исключила",

    im_action_pin_message_male: "закрепил сообщение",
    im_action_pin_message_female: "закрепила сообщение",

    im_action_unpin_message_male: "открепил сообщение",
    im_action_unpin_message_female: "открепила сообщение",

    im_go_to_history_end: "Перейти в конец истории",

    im_loading_error: "Ошибка загрузки",
    im_retry: "Повторить",
    im_select_message: "Выбрать",
    im_unselect_message: "Отменить выбор",
    im_message_resend_title: "Сообщение не было отправлено",
    im_message_resend_detail: "Ошибка: %s",
    im_message_resend: "Повторить",
    im_message_resend_all: "Повторить все",
    im_audio_copyrusted_title: "Аудиозапись недоступна",
    im_audio_copyrusted: "Эта аудиозапись была изъята из публичного доступа по просьбе правообладателей.",
    im_audio_copyrusted_2: "Аудиозапись %s недоступна для прослушивания в Вашем регионе.",

    im_chat_remove_user: "Исключить",
    im_dialog_action_fave: "Добавить в избранные",
    im_dialog_action_hide: "Скрыть беседу",
    im_dialog_action_add: "Добавить собеседников",
    im_dialog_action_attaches: "Показать вложения",
    im_dialog_action_search: "Поиск по истории сообщений",
    im_dialog_action_history: "Показать всю историю сообщений",
    im_dialog_action_erase: "Очистить историю сообщений",

    im_dialog_attach_map: "Карта",
    im_dialog_attach_doc: "Документ",
    im_dialog_attach_video: "Видеозапись",
    im_dialog_attach_audio: "Аудиозапись",
    im_dialog_attach_photo: "Фотография",

    im_important_title: "Важные сообщения",

    im_photos_title: "Прикрепить фотографию",
    im_photos_upload: "Загрузить фотографию",
    im_photos_make_photo: "Снять с камеры",
    im_photos_result_text: "Выберите фотографии, чтобы прикрепить их к сообщению",
    im_photos_loading_error: "Ошибка загрузки",
    im_photos_empty: "У Вас нет фотографий.",
    im_photos_attach: LangNum("Прикрепить {b}%d{/b} %s", ["фотографию", "фотографии", "фотографий"]),
    im_photos_webcam_title: "Снимок с веб-камеры",
    im_photos_webcam_device: "Устройство:",
    im_photos_webcam_attach: "Прикрепить фотографию",
    im_photos_webcam_retake: "Переснять",
    im_photos_close: "Закрыть",
    im_photos_count: LangNum("%d %s", ['фотография', 'фотографии', 'фотографий']),
    im_photos_all: "Все фотографии",
    im_photos_disabled: "В сообществе отключены фотографии.",

    im_docs_upload: "Добавить документ",
    im_docs_type_all: "Все документы",
    im_docs_type_text: "Текстовые",
    im_docs_type_archive: "Архивы",
    im_docs_type_gif: "Анимации",
    im_docs_type_image: "Изображения",
    im_docs_type_audio: "Аудиозаписи",
    im_docs_type_video: "Видеозаписи",
    im_docs_type_books: "Книги",
    im_docs_type_unknown: "Прочие",
    im_docs_empty: "У Вас нет документов.",
    im_docs_disabled: "В сообществе отключены документы.",
    im_docs_not_found: "По запросу %s не найдено ни одного документа.",

    im_videos: "Видеозаписи",
    im_videos_empty: "У Вас нет видеозаписей.",
    im_videos_result_text: "Выберите видеозаписи, чтобы прикрепить их к сообщению",
    im_videos_attach: LangNum("Прикрепить {b}%d{/b} %s", ["видеозапись", "видеозаписи", "видеозаписей"]),
    im_videos_count: LangNum("%d %s", ["видеозапись", "видеозаписи", "видеозаписей"]),
    im_videos_all: "Все видеозаписи",
    im_videos_search: "Поиск видеозаписей",
    im_videos_disabled: "В сообществе отключены видеозаписи.",
    im_videos_not_found: "По запросу %s не найдено ни одной видеозаписи.",

    im_info_open: "Показать информацию",
    im_info_close: "Скрыть информацию",
    im_info_user_title: "Информация о пользователе",
    im_info_group_title: "Информация о сообществе",
    im_info_chat_title: "Информация о беседе",
    im_info_open_vk: "Открыть профиль в VK",
    im_info_open_group_vk: "Открыть сообщество в VK",
    im_info_copy_link: "Скопировать ссылку",
    im_open_dialog: "Открыть диалог",
    im_show_actions: "Показать действия",

    im_info_notifications: "Уведомления",
    im_info_add: "Добавить собеседников",
    im_info_search: "Поиск по истории сообщений",
    im_info_clear: "Очистить историю сообщений",
    im_info_clear_text_user: "Вы действительно хотите удалить всю переписку с данным пользователем?",
    im_info_clear_text_group: "Вы действительно хотите удалить всю переписку с данным сообществом?",
    im_info_clear_text_chat: "Вы действительно хотите удалить всю переписку в этой беседе?",
    im_info_clear_text_cannot_be_undone: "Отменить это действие будет невозможно.",
    im_info_leave_chat: "Покинуть беседу",
    im_info_leave_channel: "Отписаться от канала",
    im_info_return_to_chat: "Вернуться в беседу",
    im_info_attaches_photo: "Фотографии",
    im_info_attaches_video: "Видеозаписи",
    im_info_attaches_audio: "Аудиозаписи",
    im_info_attaches_doc: "Документы",
    im_info_attaches_share: "Ссылки, товары и записи",
    im_info_attaches_not_found: "Не найдено ни одного вложения данного типа.",
    im_info_attaches_not_found_photo: "Нет фотографий",
    im_info_attaches_not_found_video: "Нет видеозаписей",
    im_info_attaches_not_found_audio: "Нет аудиозаписей",
    im_info_attaches_not_found_doc: "Нет документов",
    im_info_attaches_not_found_share: "Нет ссылок",

    im_info_members_show: "Показать",
    im_info_members_hide: "Скрыть",
    im_info_add_placeholder: "Начните вводить имя или фамилию...",

    im_search_message_history_placeholder: "Поиск по сообщениям...",

    im_input_attach_messages: LangNum("%d %s", ["сообщение", "сообщения", "сообщений"]),

    im_compose_dialog_item_new_message: "Новое сообщение",
    im_compose_dialog_item_new_chat: "Новая беседа",
    im_compose_placeholder: "Введите имя друга, чтобы начать диалог",
    im_compose_placeholder_chat: "Введите имена друзей, чтобы создать беседу",
    im_compose_to: "Кому:",
    im_compose_input_placeholder: "Начните вводить имя или фамилию...",
    im_compose_dialog_item_new_message_to: "Новое сообщение ",
    im_compose_dialog_item_new_chat_with: "Новая беседа с ",
    im_compose_enter_chat_name_placeholder: "Введите название беседы...",
    im_compose_remove_photo: "Удалить фотографию",
    im_compose_new_chat_name_template: "Новая беседа «%s»",
    im_compose_cancel: "Отменить",

  //   im_compose_tab_single: "Dialog",
  //   im_compose_tab_group: "Group chat",
  //   im_compose_add_image: "Add",
  //   im_compose_group_name: "Chat name",
  //   im_compose_enter_name: "Enter a name",
  //   im_compose_cancel: "Cancel",
  //   im_compose_submit: "Create a chat",

    im_chat_change_photo: "Изменить",
    im_create_chat: "Создать беседу",
    public_poll: "Публичный опрос",
    anonymous_poll: "Анонимный опрос",
    poll_votes: LangNum("%d %s", ["голос", "голоса", "голосов"]),
    poll_vote_first: "Проголосуйте первым!",
    poll_votes_result_voted: LangNum("%s", ["Проголосовал", "Проголосовали", "Проголосовали"]),
    poll_votes_result_people: LangNum("{b}%d{/b} %s", ["человек", "человека", "человек"]),
    poll_left_time: "{left} {count}",
    poll_minutes_left_plural: LangNum("%s", ["Осталась", "Осталось", "Осталось"]),
    poll_hours_left_plural: LangNum("%s", ["Остался", "Осталось", "Осталось"]),
    poll_left_time_minutes_count: LangNum("%d %s", ["минута", "минуты", "минут"]),
    poll_left_time_seconds_count: LangNum("%d %s", ["секунда", "секунды", "секунд"]),
    poll_left_time_hours_count: LangNum("%d %s", ["час", "часа", "часов"]),
    poll_till_template: "до %s",
    poll_closed: "завершён",
    poll_noone_voted: "Никто не проголосовал",
    poll_vote: "Проголосовать",

    im_drop_photos: "Перенесите сюда фотографии, чтобы прикрепить их к сообщению",
    im_drop_photos_as_docs: "Перенесите сюда фотографии, чтобы прикрепить их как документы",
    im_drop_docs: "Перенесите сюда файлы, чтобы прикрепить их к сообщению",
    im_upload_error: "Ошибка загрузки",
    im_cannot_write_1: "Вы не можете писать сообщения этому пользователю",
    im_cannot_write_1_group: "Вы не можете писать сообщения этому сообществу",
    im_cannot_write_2: "Вы были исключены из этой беседы",
    im_cannot_write_3: "Вы покинули эту беседу",
    im_cannot_write_4: "Пользователь запретил сообщения от сообщества",
    im_cannot_write_5: "Пользователь закрыл сообщения приватностью",
    im_cannot_write_6: "Вы не имеете доступа к этому сообществу",
    im_cannot_write_7: "Вы не имеете доступа к этому email",
    im_cannot_write_8: "Вы не можете писать тем, кто у Вас в чёрном списке",
    im_cannot_write_group_banned: "Пользователь добавлен в чёрный список сообщества.",

    im_doc_actions_open: "Открыть",
    im_doc_actions_download: "Скачать",
    im_doc_actions_forward: "Переслать",
    im_doc_actions_show_in_folder: "Показать в папке",
    im_doc_progress_text: "Загружено %s из %s",
    im_doc_download_progress_text: "Скачано %s из %s",
    im_doc_downloaded: "Загружено",

    im_recording_done: "Готово",
    im_recording_cancel: "Отмена",

  // profile_bday: "Date of birth",
  // profile_city: "City",
  // profile_languages: "Languages",
    profile_mobile_phone: "Мобильный телефон",
    profile_screen_name: "Адрес страницы",
  // profile_home_phone: "Home phone",
  // profile_skype: "Skype",
  // profile_website: "Website",
  // profile_email: "Email",
  // profile_facebook: "Facebook",
  // profile_instagram: "Instagram",
  // profile_twitter: "Twitter",
  // profile_livejournal: "LiveJournal",
    profile_notifications: "Уведомления",
    profile_notifications_enabled: "включены",
    profile_notifications_disabled: "отключены",
    profile_open_vk: "Открыть страницу ВКонтакте",
    profile_open_group_vk: "Открыть группу ВКонтакте",
    profile_block: "Заблокировать",
    profile_unblock: "Разблокировать",

    connection_state_waiting_for_network: "Ожидание подключения...",
    connection_state_connecting: "Соединение",
    connection_state_connecting_after: "Соединение через %s с...",
    connection_state_updating: "Обновляется",
    connection_state_connected: "Подключено",
    connection_state_proxy_error: "Ошибка соединения с прокси-сервером",
    connection_state_proxy_error_short: "Ошибка прокси",
    connection_state_cert_error: "Не удалось проверить SSL-сертификат",

    update_status_available: "Доступно обновление",
    update_status_downloading: "Обновление загружается...",
    update_status_downloaded: "Встречайте новую версию",
    'update_status_not-available': 'Обновление недоступно',

    update_is_available: "Доступно обновление",
    update_is_not_available: "Обновление недоступно",
    update_current_version: "Текущая версия",
    update_new_version: "Новая версия",
    update_description: "Описание",
    update_download: "Скачать",
    update_downloading: "Загрузка...",
    update_install: "Установить и перезапустить",
    update_install_later: "Установить позже",
    update_na: "Недоступно",
    update_date: "Дата",
    update_size: "Размер",
    update_no_updates: "Обновления не найдены.",

    changelog: "Лог изменений",
    update: "Обновление",

    friends_no_friends: "У Вас пока нет ни одного друга",
    friends_no_friends_desc: "Чтобы найти своих друзей ВКонтакте, Вы можете воспользоваться {link}поиском{/link}",
    friends_search_not_found: "По запросу %s не найдено ни одного друга",

    dialogs_no_dialogs: "У Вас пока нет диалогов",
    dialogs_no_dialogs_desc: "{link}Нажмите сюда{/link}, чтобы выбрать человека, которому Вы хотите написать сообщение",
    dialogs_no_unread_dialogs: "{span}Непрочитанных диалогов{/span} нет",
    dialogs_no_important_dialogs: "Важных диалогов нет",
    dialogs_no_unanswered_dialogs: "Неотвеченных диалогов нет",
    dialogs_search_not_found: "По запросу %s не найдено ни одного диалога",
    dialogs_search_messages_not_found: "По запросу %s не найдено ни одного сообщения",
    dialogs_search_dialogs_title: "Беседы и диалоги",
    dialogs_search_messages_title: "Сообщения",
    dialogs_search_messages_button: "Искать в сообщениях",

    settings_general: "Основные",
    settings_notifications: "Уведомления",
    settings_security: "Безопасность",
    settings_blacklist: "Чёрный список",
    settings_qa: "Вопросы и ответы",
    settings_logout: "Выйти",
    settings_about: "О приложении",
    settings_interface_and_system: "Интерфейс",
    settings_privacy: "Приватность",
    settings_downloads: "Загрузки",
    settings_text_input: "Ввод текста",
    settings_memory: "Память",
    settings_communities: "Сообщества",

    settings_edit: "Изменить",
    settings_erase: "Очистить",
    settings_save: "Сохранить",
    settings_cancel: "Отмена",
    settings_saving: "Сохранение...",

    settings_disabled_text: "Пожалуйста, сначала авторизуйтесь.",

    settings_general_edit_photo: "Изменить фотографию",
    settings_general_mobile_phone: "Номер телефона",
    settings_general_email: "Электронная почта",
    settings_general_no_email: "Не указан",
    settings_general_short_name: "Короткий адрес",
    settings_general_cache: "Кэш",
    settings_general_invisible_mode: "Режим невидимки",
    settings_general_shorten_surnames: "Сокращать фамилии",
    // @ifndef BRANCH_MASTER
    settings_general_ignore_invalid_cert: "Отключить проверку сертификата",
    // @endif
    settings_general_cache_size_loading: "Подсчёт...",
    settings_general_cache_erasing: "Очистка...",
    settings_general_screen_name_submit: "Занять этот адрес",
    settings_general_screen_name_submit_custom: "Занять адрес {b}%s{/b}",
    settings_general_screen_name_checking: "Проверка...",
    settings_general_failed_photo: "Не удалось обновить фотографию",
    settings_send_by_cmd_enter_mac: "Отправка по ⌘+Enter",
    settings_send_by_cmd_enter_win: "Отправка по Ctrl+Enter",
    settings_stickers_suggestions: "Подсказывать стикеры",
    settings_general_app: "Настройки приложения",
    settings_general_auto_updates: "Загружать обновления автоматически",
    settings_general_tray: "Показывать иконку в трее",
    settings_general_tray_mac: "Показывать иконку в меню состояния",
    settings_general_open_in_tray: "Запускать свёрнутым в трее",
    settings_general_open_in_tray_mac: "Запускать свёрнутым в меню состояния",
    settings_general_badge: "Счётчик на значке приложения",
    settings_general_windows_native_frame: "Системная рамка окна",
    settings_interface_lang: "Язык приложения",
    settings_spellcheck: "Проверка правописания",
    settings_spellcheck_disabled: "Отключена",
    settings_spellcheck_auto: "Автоматически",
    settings_scrollonsend: "Перемещать беседы после ответа",
    settings_scrollonsend_0: "Никогда",
    settings_scrollonsend_1: "Только диалоги сообщества",
    settings_scrollonsend_2: "Всегда",
    settings_frame_change_restart_confirmation: "Чтобы применить изменения, необходимо перезапустить приложение.",
    settings_mac_show_frame: "Показывать заголовок окна",
    settings_font_size: "Размер шрифта",
    settings_font_size_normal: "Нормальный",
    settings_font_size_large: "Увеличенный",

    settings_report: "Сообщить о баге",
    settings_general_verbose_logs: "Подробные логи",

    settings_notifications_enable: "Получать уведомления",
    settings_notifications_style: "Стиль уведомлений",
    settings_notifications_style_system: "Системный",
    settings_notifications_ls: "На экране блокировки",
    settings_notifications_ls_all: "Показывать содержание",
    settings_notifications_ls_hide_content: "Скрывать содержание",
    settings_notifications_ls_no: "Отключены",
    settings_notifications_new_message_dialog: "Новое сообщение в диалоге",
    settings_notifications_new_message_chat: "Новое сообщение в беседе",
    settings_notifications_communities: "Сообщения сообществ",
    settings_notifications_private: "Личные сообщения",
    settings_notifications_sound: "Звук",
    settings_notifications_text: "Текст в уведомлении",
    settings_notifications_text_name_only: "Только имя",
    settings_notifications_text_all: "Имя и текст",
    settings_notifications_text_community: "Только сообщество",
    settings_notifications_text_community_text: "Сообщество и текст",
    settings_notifications_text_community_name: "Сообщество и имя",
    settings_notifications_text_community_name_text: "Сообщество, имя и текст",
    settings_notifications_system: "Использовать системные уведомления",
    settings_notifications_windows: "Использовать уведомления Windows",
    settings_notifications_community_all: "Все",
    settings_notifications_community_important: "Только важные",
    settings_notifications_community_none: "Отключены",
    settings_notifications_exclude_counter: "Счётчик новых сообщений",

    settings_security_password: "Пароль",
    settings_security_who_can_write_me: "Кто может писать мне личные сообщения",

    settings_privacy_value_all: "Все пользователи",
    settings_privacy_value_friends_of_friends: "Друзья друзей",
    settings_privacy_value_friends: "Только друзья",
    settings_privacy_value_nobody: "Никто",
    settings_privacy_value_some: "Некоторые пользователи",
    settings_send_stats: "Отправлять анонимную статистику",

    settings_password_old: "Старый пароль",
    settings_password_new: "Новый пароль",
    settings_password_repeat: "Повторите",
    settings_change_password: "Изменить пароль",
    settings_failed_to_change_password: "Не удалось обновить пароль",
    settings_password_changed: "Пароль изменён.",

    settings_blacklist_empty_title: "Ваш чёрный список пуст.",
    settings_blacklist_empty_text: "Люди из чёрного списка не могут писать Вам сообщения.",
    settings_blacklist_empty_group: "Чёрный список этого сообщества пуст.",
    settings_blacklist_users_count: LangNum("%d %s", ["пользователь", "пользователя", "пользователей"]),
    settings_blacklist_remove: "Удалить из списка",
    settings_blacklist_add: "Добавить в список",
    settings_blacklist_cancel: "Отмена",
    settings_blacklist_removed_male: "Удалён из чёрного списка",
    settings_blacklist_removed_female: "Удалена из чёрного списка",

    settings_connection: "Настройки соединения",
    settings_connection_no_proxy: "Без прокси",
    settings_connection_http: "HTTP-прокси",
    settings_connection_socks5: "SOCKS5-прокси",
    settings_connection_auto: "Автоматически",
    settings_connection_username: "Логин",
    settings_connection_password: "Пароль",
    settings_connection_host: "Адрес хоста",
    settings_connection_port: "Порт",

    settings_downloads_location: "Всегда сохранять в папку:",
    settings_downloads_always_ask: "Каждый раз выбирать, куда сохранить файл",
    settings_downloads_label_btn_label: "Выбрать",

    settings_always_on_top: "Поверх всех окон",
    settings_visible_on_all_workspaces: "Показывать на всех рабочих столах",
    settings_interface_scale: "Масштаб интерфейса",
    settings_scale_auto: "Автоматически",
    settings_autostart: "Запускать при старте системы",

    viewer_title_fallback: "Фотопросмотрщик",
    viewer_title: "Фотография %d из %d",
    viewer_title_one: "Фотография",
    viewer_download: "Фотография была сохранена в папку {link}name{/link}",
    viewer_failed_download: "Не удалось загрузить фотографию",
    viewer_load_error: "Ошибка загрузки",

    viewer_go_to_message: "Перейти к сообщению",
    viewer_download_original: "Скачать оригинал",
    viewer_photo_save_to_vk: "Сохранить к себе",
    viewer_forward: "Переслать",

    smile_section_recent: "Часто используемые",
    smile_section_smiles_people: "Эмоции",
    smile_section_animals_nature: "Животные и растения",
    smile_section_food_drink: "Еда и напитки",
    smile_section_activity: "Спорт и активности",
    smile_section_travel_places: "Путешествия и транспорт",
    smile_section_objects: "Предметы",
    smile_section_symbols: "Символы",
    smile_section_flags: "Флаги",

    stickers_recent_empty: "Здесь будут показаны недавние стикеры",

    calendar_dow: [
      "Пн", "Вт", "Ср", "Чт", "Пт", "Сб", "Вс"
    ],
    calendar_months: [
      "Январь",
      "Февраль",
      "Март",
      "Апрель",
      "Май",
      "Июнь",
      "Июль",
      "Август",
      "Сентябрь",
      "Октябрь",
      "Ноябрь",
      "Декабрь"
    ],
    calendar_date_filter: "Фильтр по дате",
    calendar_reset_filter: "Сбросить фильтр",
    calendar_tooltip_text: "Найти сообщения до определённой даты",

    user_age: LangNum("%d %s", ["год", "года", "лет"]),

    about_title: "VK Messenger",
    about_version: "Версия %s (%s)",
    about_text: "Мессенджер крупнейшей социальной сети в России и СНГ для быстрой и удобной коммуникации между людьми по всему миру.",
    about_terms: "Условия использования",
    about_privacy: "Политика конфиденциальности",
    about_group: "Группа ВКонтакте",
    about_copyright: "© 2018 V Kontakte LLC",

    recent_dialogs: "Вы недавно искали",
    recent_dialogs_clear: "Очистить",
    recent_dialogs_empty: "Нет недавних диалогов",
    delete_from_recents: "Скрыть",

    new_message: "Новое сообщение",
    logout_confirmation: "Вы уверены, что хотите выйти из Вашего аккаунта?",

    message_sent_gift_male: "отправил подарок",
    message_sent_gift_female: "отправила подарок",

    typing_and: "и",

    video_mute: "Убрать звук",
    video_unmute: "Включить звук",
    video_enter_fullscreen: "На весь экран",
    video_leave_fullscreen: "На весь экран",
    video_enter_window: "Открыть в окне",
    video_processing: "Видеофайл успешно загружен и в данный момент обрабатывается.{br}{/br}Обработка обычно занимает от нескольких минут до часа.",
    video_close_conf_title: "Закрыть видео",
    video_close_conf_text: "Вы уверены, что хотите закрыть видеозапись?",
    video_soon: "Скоро",

    photoviewer_maximize: "На весь экран",
    photoviewer_normalize: "Открыть в окне",
    photoviewer_forward: "Переслать",
    photoviewer_download: "Сохранить на диск",

    money_transfer_receive: "Получить деньги",
    money_transfer_decline: "Отклонить",
    money_transfer_cancel: "Отменить перевод",
    money_transfer_from: "от",
    money_transfer_done: "Перевод выполнен",
    money_transfer_cancelled: "Перевод отменён",
    money_about: "О сервисе",

    reply_placeholder: "Напишите сообщение...",
    photo_video_close_confirmation: "Видеоплеер будет закрыт. Продолжить?",

    ssl_warning_title: "Соединение не безопасно",
    ssl_warning_subtitle: "Подмена сертификата",
    ssl_warning_text: "Не удалось проверить подлинность сертификата {span}vk.com{/span}. Ваше соединение не безопасно. Рекомендуем проверить компьютер {link}Антивирусом ВКонтакте{/link}.",
    ssl_warning_text_nowin: "Не удалось проверить подлинность сертификата {span}vk.com{/span}. Ваше соединение не безопасно.",

    story_from: "История от %s",
    story_from_group: "История от группы «%s»",
    story_view: "Посмотреть",
    story_expired_text: "Историю можно было посмотреть в течение 24 часов после публикации",
    story_private_text: "Автор скрыл историю",

    sticker_pack: "Набор стикеров",
    audio_msg_cancel_confirmation: "Если Вы закроете диалог, запись голосового сообщения прервётся.",
    audio_msg_cancel_confirmation_compose: "Вы уверены, что хотите прервать запись голосового сообщения?",
    leave_chat_confirmation: "Вы уверены, что хотите покинуть беседу?",
    remove_user_confirmation: "Вы уверены, что хотите исключить {name} из беседы?",
    write_developers: "Написать разработчикам",

    audio_playlist_listen: "Слушать",
    audio_playlist_open: "Открыть",
    audio_playlist_loading: "Плейлист загружается...",
    audio_playlist_tracks: LangNum("Показать все %d %s", ["аудиозапись", "аудиозаписи", "аудиозаписей"]),
    audio_playlist_empty: "В этом плейлисте ещё нет ни одной аудиозаписи",

    community_messages: "Сообщения сообществ",
    community_messages_enabled: "Подключенные",
    community_messages_available: "Доступные",

    groups: "Сообщества",
    groups_not_found: ["Вы не являетесь руководителем ни одного сообщества, у которого включены сообщения.", "Чтобы начать использовать сообщения, включите их на странице управления сообществом."],
    groups_not_found_search: "По запросу %s не найдено ни одного сообщества.",
    group_members_count: LangNum("%d %s", ["участник", "участника", "участников"], true),
    group_subscribers_count: LangNum("%d %s", ["подписчик", "подписчика", "подписчиков"], true),

    group_add_tooltip: "Подключить сообщество",
    group_del_tooltip: "Отключить сообщество",

    dialogs_unread_only: "Только непрочитанные",
    dialogs_tab_all: "Все сообщения",
    dialogs_tab_unread: "Непрочитанные",
    dialogs_tab_unanswered: "Неотвеченные",
    dialogs_tab_important: "Важные",
    name_visible_only_for_group_admins: "Имя отправителя видно только администраторам сообщества",
    group_admins: "Руководители",
    group_dialogs: "Диалоги сообщества",
    group_admins_not_found: "По запросу %s администраторов не найдено",
    open_in_browser: "Открыть в браузере",

    blocked_male: "Заблокирован",
    blocked_female: "Заблокирована",
    blocked_forever: "навсегда",
    blocked_till: "до",
    blocked_comment: "Комментарий",
    blocked_reason: "Причина",
    blocked_reason0: "Другое",
    blocked_reason1: "Спам",
    blocked_reason2: "Оскорбление участников",
    blocked_reason3: "Нецензурные выражения",
    blocked_reason4: "Сообщения не по теме",
    user_blocking: "Блокировка пользователя",
    user_blocking_in_group: "Состоит в сообществе",
    user_blocking_not_in_group: "Не состоит в сообществе",
    user_blocking_field_term: "Срок блокировки",
    user_blocking_field_reason: "Причина",
    user_blocking_field_comment: "Комментарий",
    user_blocking_field_comment_placeholder: "Здесь вы можете указать короткий комментарий",
    user_blocking_field_comment_visible: "Показывать комментарий заблокированному пользователю",
    user_blocking_forever: "Навсегда",
    user_blocking_forever_comment: "Снимается вручную",
    user_blocking_for_year: "На год",
    user_blocking_for_month: "На месяц",
    user_blocking_for_week: "На неделю",
    user_blocking_for_day: "На день",
    user_blocking_for_hour: "На час",
    user_blocking_unblocking: "До",
    user_add_to_blacklist: "Добавить в чёрный список",
    user_added_to_blacklist: "Пользователь заблокирован",
    user_removed_from_blacklist: "Пользователь разблокирован",

    message_edited: "(ред.)",

    pinned_message: "Закреплённое сообщение",
    pinned_message_hide: "Скрыть",
    pinned_message_hide2: "Скрыть закреплённое сообщение",
    pinned_message_show: "Показать закреплённое сообщение",

    pin_message: "Закрепить сообщение",
    unpin_message: "Открепить сообщение",
    unpin_message_confirmation: [
      "Вы действительно хотите открепить сообщение?",
      "Это изменение увидят все участники беседы."
    ],

    chat_link: "Ссылка на беседу",
    chat_link_channel: "Ссылка на канал",
    chat_link_desc: "Вы можете пригласить любого человека в беседу по ссылке, указанной ниже.",
    chat_link_desc_channel: "Вы можете поделиться с друзьями ссылкой на канал:",
    chat_link_reset: "Чтобы приглашение стало недействительным, Вы можете {link}аннулировать ссылку{/link}.",
    chat_link_copy: "Скопировать",
    chat_link_annul: "Аннулировать",
    chat_link_annul_title: "Вы действительно хотите аннулировать ссылку на эту беседу?",
    chat_link_annul_text: "Отменить это действие будет невозможно.",
    chat_link_annul_done: "Ссылка на эту беседу аннулирована.",

    edit_message: "Редактировать сообщение",
    edit_message_title: "Редактирование {link}сообщения{/link}",
    edit_message_cancel: "Отменить редактирование",

    theme: "Тема оформления",
    theme_default: "По умолчанию",
    theme_dark: "Тёмная",
    theme_dark_full: "Ночной режим",
    designer_mode: "Режим дизайнера",

    templates: "Шаблоны",
    templates_cfg: "Настроить",
    templates_new: "Новый шаблон",
    templates_create: "Создать шаблон",
    templates_edit: "Редактировать шаблон",
    templates_name: "Название шаблона",
    templates_text: "Текст",
    templates_hints: "Подсказки",
    templates_add: "Добавить шаблон",
    templates_empty: "Нет шаблонов",
    templates_save: "Сохранить шаблон",
    templates_template_user_name: "Имя",
    templates_template_user_surname: "Фамилия",
    templates_template_admin_name: "Ваше имя",
    templates_template_admin_surname: "Ваша фамилия",
    templates_template_community: "Сообщество",
    templates_template_greeting: "Приветствие",
    templates_delete_confirmation: "Вы действительно хотите удалить шаблон?",
    templates_greeting1: "Доброе утро",
    templates_greeting2: "Добрый день",
    templates_greeting3: "Добрый вечер",
    templates_greeting4: "Доброй ночи",

    call_canceled_by_initiator_me: "Вы отменили звонок",
    call_canceled_by_initiator_not_me: "Вы пропустили звонок",
    call_canceled_by_receiver_me: "Вы отменили звонок",
    call_canceled_by_receiver_not_me: "{link}%s{/link} отклонил звонок",
    call_out: "Исходящий звонок %s",
    call_in: "Входящий звонок %s",

    channel_unmute: "Включить уведомления",
    channel_mute: "Отключить уведомления",
    channel_fwd_error: "Вы не можете переслать сообщение в канал.",
    channel_leave_title: "Отписаться от канала?",
    channel_leave_text: "Отписавшись от канала, Вы не будете получать новые сообщения. Вы сможете вернуться впоследствии.",
    chat_join: "Присоединиться",
    chat_go: "Перейти в беседу",
    chat_go_channel: "Перейти в канал",
    chat_invite: "Приглашение в беседу",
    chat_invite_channel: "Приглашение в канал",
    chat_preview_users_count: LangNum("ещё %d %s", ["участник", "участника", "участников"]),
    channel_subscribe: "Подписаться на канал",

    keyboard: "Клавиатура",
  })
}

module.exports = strings
